gnutls_session_set_verify_function(3)

NAME
gnutls_session_set_verify_function - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_session_set_verify_function(gnutls_session_t session, gnutls_certificate_verify_function * func);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

gnutls_certificate_verify_function * func
    is the callback function

DESCRIPTION
This function sets a callback to be called when peer's certificate has been received in order to verify it on receipt rather than doing after the handshake is completed. This overrides any callback set using gnutls_certificate_set_verify_function(). The callback's function prototype is: int (*callback)(gnutls_session_t); If the callback function is provided then gnutls will call it, in the handshake, just after the certificate message has been received. To verify or obtain the certificate the gnutls_certificate_verify_peers2(), gnutls_certificate_type_get(), gnutls_certificate_get_peers() functions can be used. The callback function should return 0 for the handshake to continue or non-zero to terminate.

SINCE
3.4.6

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2018 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/